Subject: Re: bug#25157: 26.0.50; whitespace-cleanup does not remove single trailing empty line anymore

From: Reuben Thomas <[email-masked]>
Date: Thu, 22 Dec 2016 12:53:37 +0000

On Dec 22, 2016 2:17 AM, <[email-masked]> wrote:
>
> Reuben Thomas <[email-masked]> writes:
>
> >(I was trying to make it match ALL the whitespace at the end of the
> >buffer, as you probably realised.)
>
> Oh, I thought that might have been the case.  It explains why you were
> going through all that trouble with the regexp.
>
> >
> > The only thing I'd change in your match is, as in mine, remove the
FIXME after save-match-data.​
>
>     (whitespace-cleanup): Remove a FIXME: the reason for save-match-data
>     is the call of re-search-forward.
>
> I'm not sure this is a sufficient explanation of why save-match-data is
> needed.  Usually in Emacs the caller is responsible for saving the match
> data, if it needs to.  I don't really see the need here.

Can it be removed then? The only perhaps unexpected thing I can think of is
that whitespace-cleanup can be called from a hook, such as save-file-hook,
but that doesn't seem to matter.